com.unitech.stuhfl

## Enum STUHFL_E.RET_CODE

- java.lang.Object
- - java.lang.Enum<STUHFL_E.RET_CODE>
  - - com.unitech.stuhfl.STUHFL_E.RET_CODE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STUHFL_E.RET_CODE>
  Enclosing class:
    STUHFL_E

      public static enum STUHFL_E.RET_CODE
      extends java.lang.Enum<STUHFL_E.RET_CODE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSY`
    `CHIP_COLL`
    `CHIP_CRCERROR`
    `CHIP_FIFO`
    `CHIP_HEADER`
    `CHIP_NORESP`
    `CHIP_PREAMBLE`
    `CHIP_RXCOUNT`
    `FIRST_ST25RU3993_ERROR`
    `GB29768_ACCESS_ERROR`
    `GB29768_ACCESS_TIMEOUT_ERROR`
    `GB29768_AUTH_ERROR`
    `GB29768_OTHER`
    `GB29768_PASSWORD_ERROR`
    `GB29768_PERMISSION_ERROR`
    `GB29768_POWER_SHORTAGE`
    `GB29768_STORAGE_LOCKED`
    `GB29768_STORAGE_OVERFLOW`
    `GEN2_ACCESS`
    `GEN2_CHANNEL_TIMEOUT`
    `GEN2_ERRORCODE_CRYPTO`
    `GEN2_ERRORCODE_ENCAPSULATION`
    `GEN2_ERRORCODE_MEMLOCKED`
    `GEN2_ERRORCODE_MEMOVERRUN`
    `GEN2_ERRORCODE_NONSPECIFIC`
    `GEN2_ERRORCODE_NOTSUPPORTED`
    `GEN2_ERRORCODE_OTHER`
    `GEN2_ERRORCODE_POWER_SHORTAGE`
    `GEN2_ERRORCODE_PRIVILEGES`
    `GEN2_ERRORCODE_RESPBUFOVERFLOW`
    `GEN2_ERRORCODE_SECURITYTIMEOUT`
    `GEN2_REQRN`
    `GEN2_SELECT`
    `GENERIC`
    `IO`
    `NOMEM`
    `NOMSG`
    `NONE`
    `PARAM`
    `PROTO`
    `REFLECTED_POWER`
    `REQUEST`
    `TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STUHFL_E.RET_CODE` | `int2Enum(int id)`
    `int` | `toInt()`
    `static STUHFL_E.RET_CODE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STUHFL_E.RET_CODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC

          public static final STUHFL_E.RET_CODE GENERIC

    - #### NONE

          public static final STUHFL_E.RET_CODE NONE

    - #### NOMEM

          public static final STUHFL_E.RET_CODE NOMEM

    - #### BUSY

          public static final STUHFL_E.RET_CODE BUSY

    - #### IO

          public static final STUHFL_E.RET_CODE IO

    - #### TIMEOUT

          public static final STUHFL_E.RET_CODE TIMEOUT

    - #### REQUEST

          public static final STUHFL_E.RET_CODE REQUEST

    - #### NOMSG

          public static final STUHFL_E.RET_CODE NOMSG

    - #### PARAM

          public static final STUHFL_E.RET_CODE PARAM

    - #### PROTO

          public static final STUHFL_E.RET_CODE PROTO

    - #### FIRST_ST25RU3993_ERROR

          public static final STUHFL_E.RET_CODE FIRST_ST25RU3993_ERROR

    - #### CHIP_NORESP

          public static final STUHFL_E.RET_CODE CHIP_NORESP

    - #### CHIP_HEADER

          public static final STUHFL_E.RET_CODE CHIP_HEADER

    - #### CHIP_PREAMBLE

          public static final STUHFL_E.RET_CODE CHIP_PREAMBLE

    - #### CHIP_RXCOUNT

          public static final STUHFL_E.RET_CODE CHIP_RXCOUNT

    - #### CHIP_CRCERROR

          public static final STUHFL_E.RET_CODE CHIP_CRCERROR

    - #### CHIP_FIFO

          public static final STUHFL_E.RET_CODE CHIP_FIFO

    - #### CHIP_COLL

          public static final STUHFL_E.RET_CODE CHIP_COLL

    - #### REFLECTED_POWER

          public static final STUHFL_E.RET_CODE REFLECTED_POWER

    - #### GEN2_SELECT

          public static final STUHFL_E.RET_CODE GEN2_SELECT

    - #### GEN2_ACCESS

          public static final STUHFL_E.RET_CODE GEN2_ACCESS

    - #### GEN2_REQRN

          public static final STUHFL_E.RET_CODE GEN2_REQRN

    - #### GEN2_CHANNEL_TIMEOUT

          public static final STUHFL_E.RET_CODE GEN2_CHANNEL_TIMEOUT

    - #### GEN2_ERRORCODE_OTHER

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_OTHER

    - #### GEN2_ERRORCODE_NOTSUPPORTED

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_NOTSUPPORTED

    - #### GEN2_ERRORCODE_PRIVILEGES

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_PRIVILEGES

    - #### GEN2_ERRORCODE_MEMOVERRUN

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_MEMOVERRUN

    - #### GEN2_ERRORCODE_MEMLOCKED

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_MEMLOCKED

    - #### GEN2_ERRORCODE_CRYPTO

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_CRYPTO

    - #### GEN2_ERRORCODE_ENCAPSULATION

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_ENCAPSULATION

    - #### GEN2_ERRORCODE_RESPBUFOVERFLOW

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_RESPBUFOVERFLOW

    - #### GEN2_ERRORCODE_SECURITYTIMEOUT

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_SECURITYTIMEOUT

    - #### GEN2_ERRORCODE_POWER_SHORTAGE

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_POWER_SHORTAGE

    - #### GEN2_ERRORCODE_NONSPECIFIC

          public static final STUHFL_E.RET_CODE GEN2_ERRORCODE_NONSPECIFIC

    - #### GB29768_POWER_SHORTAGE

          public static final STUHFL_E.RET_CODE GB29768_POWER_SHORTAGE

    - #### GB29768_PERMISSION_ERROR

          public static final STUHFL_E.RET_CODE GB29768_PERMISSION_ERROR

    - #### GB29768_STORAGE_OVERFLOW

          public static final STUHFL_E.RET_CODE GB29768_STORAGE_OVERFLOW

    - #### GB29768_STORAGE_LOCKED

          public static final STUHFL_E.RET_CODE GB29768_STORAGE_LOCKED

    - #### GB29768_PASSWORD_ERROR

          public static final STUHFL_E.RET_CODE GB29768_PASSWORD_ERROR

    - #### GB29768_AUTH_ERROR

          public static final STUHFL_E.RET_CODE GB29768_AUTH_ERROR

    - #### GB29768_ACCESS_ERROR

          public static final STUHFL_E.RET_CODE GB29768_ACCESS_ERROR

    - #### GB29768_ACCESS_TIMEOUT_ERROR

          public static final STUHFL_E.RET_CODE GB29768_ACCESS_TIMEOUT_ERROR

    - #### GB29768_OTHER

          public static final STUHFL_E.RET_CODE GB29768_OTHER

  - ### Method Detail

    - #### values

          public static STUHFL_E.RET_CODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STUHFL_E.RET_CODE c : STUHFL_E.RET_CODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STUHFL_E.RET_CODE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### int2Enum

          public static STUHFL_E.RET_CODE int2Enum(int id)